<script type="text/javascript">

var editURL = decodeURIComponent('<?php echo rawurlencode(Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/services/shares/edit.php?app=turba', true), 'share', '@ID@', false)) ?>');
var shares = [];
<?php foreach ($shares as $key => $value): ?>
shares['<?php echo htmlspecialchars($key) ?>'] = [];
shares['<?php echo htmlspecialchars($key) ?>']['name'] = decodeURIComponent("<?php echo rawurlencode(String::convertCharset($shares[$key]->get('name'), NLS::getCharset(), 'UTF-8')) ?>");
shares['<?php echo htmlspecialchars($key) ?>']['desc'] = decodeURIComponent("<?php echo rawurlencode(String::convertCharset($shares[$key]->get('desc'), NLS::getCharset(), 'UTF-8')) ?>");
<?php endforeach ?>

function newChoice()
{
    var share = document.editshares.share.options[document.editshares.share.selectedIndex].value;
    if (share == -1) {
        document.editshares.editshare.value = '';
        document.editshares.reset();
    } else {
        document.editshares.editshare.value = share;
        document.editshares.sharetitle.value = shares[share]['name'];
        document.editshares.desc.value = shares[share]['desc'];
    }
}

function checkSubmit()
{
    if (document.editshares.actionID.value == 'add' &&
        (document.editshares.sharename.value == '' ||
         document.editshares.sharename.value == 'none')) {
        return false;
    }

    if (document.editshares.actionID.value == 'update' &&
        document.editshares.editshare.value == '') {
        return false;
    }

    if ((document.editshares.actionID.value == 'delete') &&
        (document.editshares.deleteshare.value == 'none')) {
        return false;
    }
}

function verifyDelete()
{
    var msg = '<?php echo _("Are you sure you want to delete the addressbook: "); ?>';
    document.editshares.actionID.value='delete';
    return window.confirm(msg + shares[document.editshares.deleteshare.value]['name']);
}

</script>

<form action="addressbooks.php" method="post" name="editshares" onsubmit="return checkSubmit();">
<?php echo Util::formInput() ?>
 <input type="hidden" name="actionID" value="none" />
<?php if (!empty($conf['shares']['source'])): ?>
 <h1 class="header"><?php echo _("Create Address Book") ?></h1>
  <table width="100%" class="headerbox">
   <tr>
    <td width="15%" class="nowrap rightAlign">
     <strong><?php echo Horde::label('sharename', _("Choose a name")) ?></strong>
    </td>
    <td width="85%">
     <input type="text" style="width:200px" id="sharename" name="sharename" />
    </td>
   </tr>
   <tr>
    <td>&nbsp;</td>
    <td>
     <input type="submit" name="newshare" class="button" onclick="document.editshares.actionID.value='add';" value="<?php echo _("Create") ?>" />
    </td>
   </tr>
  </table>
  <br />
<?php endif ?>
<?php if (count($myRemovable)): ?>
  <h1 class="header"><?php echo _("Delete Address Book") ?></h1>
  <table width="100%" class="headerbox">
   <tr>
    <td width="15%" class="nowrap rightAlign">
     <strong><?php echo Horde::label('deleteshare', _("Address book to delete ")) ?></strong>
    </td>
    <td width="85%">
     <select id="deleteshare" name="deleteshare" style="width:200px;">
      <option value="none"><?php echo _("Select an address book to delete") ?></option>
      <?php foreach ($myRemovable as $srcName): ?>
      <option value="<?php echo htmlspecialchars($srcName) ?>"><?php echo htmlspecialchars($mySources[$srcName]) ?></option>
      <?php endforeach; ?>
     </select>
    </td>
   </tr>
   <tr>
    <td>&nbsp;</td>
    <td>
     <input type="submit" name="delete" class="button" onclick="return verifyDelete();" value="<?php echo _("Delete") ?>" />
    </td>
   </tr>
  </table>
  <br />
 <?php endif ?>
 <h1 class="header"><?php echo _("Edit Address Books") ?></h1>
 <table class="headerbox" width="100%">
  <tr>
   <td width="15%" class="nowrap rightAlign">
    <input type="hidden" name="editshare" value="" />
    <strong><?php echo Horde::label('share', _("Address Book")) ?></strong>
   </td>
   <td width="85%">
    <select id="share" name="share" style="width:200px" onchange="newChoice();">
     <option value="none"><?php echo _("Select an address book to edit") ?></option>
     <?php foreach ($mySources as $key => $value): ?>
     <option value="<?php echo htmlspecialchars($key) ?>"><?php echo htmlspecialchars($value) ?></option>
     <?php endforeach; ?>
    </select>
   </td>
  </tr>

<?php if (empty($conf['shares']['no_sharing'])): ?>
  <tr>
   <td class="nowrap rightAlign">
    <strong><?php echo _("Permissions") ?></strong>
   </td>
   <td>
    <input type="button" name="perms" class="button" onclick="if (document.editshares.editshare.value) popup(editURL.replace(/%40ID%40/, encodeURIComponent(document.editshares.editshare.value)));" value="<?php echo _("Edit") ?>" />
   </td>
  </tr>
<?php endif; ?>

  <tr>
   <td class="nowrap rightAlign">
    <strong><?php echo Horde::label('sharetitle', _("Name")) ?></strong>
   </td>
   <td>
    <input type="text" id="sharetitle" name="sharetitle" style="width:200px" />
   </td>
  </tr>
  <tr>
   <td class="nowrap rightAlign" valign="top">
    <strong><?php echo Horde::label('desc', _("Description")) ?></strong>
   </td>
   <td>
    <textarea style="width:200px" id="desc" name="desc" rows="4" cols="60"></textarea>
   </td>
  </tr>
  <tr>
   <td>&nbsp;</td>
   <td>
    <input type="submit" name="save" class="button" onclick="document.editshares.actionID.value='update'" value="<?php echo _("Save") ?>" />
   </td>
  </tr>
 </table>
 <br />
</form>
